MetRef {KODAMA} | R Documentation

## Nuclear Magnetic Resonance Spectra of Urine Samples

### Description

The data belong to a cohort of 22 healthy donors (11 male and 11 female) where each provided about 40 urine samples over the time course of approximately 2 months, for a total of 873 samples. Each sample was analysed by Nuclear Magnetic Resonance Spectroscopy. Each spectrum was divided in 450 spectral bins.

### Usage

    data(MetRef)

### Value

A list with the following elements:

`data` | Metabolomic data. A matrix with 873 rows and 450 columns.
`gender` | Gender index. A vector with 873 elements.
`donor` | Donor index. A vector with 873 elements.

### References

Assfalg M, Bertini I, Colangiuli D, et al.
Evidence of different metabolic phenotypes in humans.
Proc Natl Acad Sci U S A 2008;105(5):1420-4. doi: 10.1073/pnas.0705685105. Link
Cacciatore S, Luchinat C, Tenori L
Knowledge discovery by accuracy maximization.
Proc Natl Acad Sci U S A 2014;111(14):5117-22. doi: 10.1073/pnas.1220873111. Link
Cacciatore S, Tenori L, Luchinat C, Bennett PR, MacIntyre DA
KODAMA: an updated R package for knowledge discovery and data mining.
Bioinformatics 2017;33(4):621-623. doi: 10.1093/bioinformatics/btw705. Link

### Examples

    data(MetRef)
    u=MetRef$data;
    u=u[,-which(colSums(u)==0)]
    u=normalization(u)$newXtrain
    u=scaling(u)$newXtrain
    class=as.numeric(as.factor(MetRef$gender))
    cc= prcomp(u)$x
    plot(cc,pch=21,bg=class,xlab="First Component",ylab="Second Component")

    class=as.numeric(as.factor(MetRef$donor))
    plot(cc,pch=21,bg=rainbow(22)[class],xlab="First Component",ylab="Second Component")

    #
    # kk=KODAMA(u)
    # plot(kk$pp,pch=21,bg=rainbow(22)[class],xlab="First Component",ylab="Second Component")
    #

[Package KODAMA version 1.5 Index]